# Interface ILayerTypesTable

Represents the DXF line type table section.

interface ILayerTypesTable {
handle: string;
lineTypes: Record<string, ILineType>;
ownerHandle: string;
}

#### Hierarchy (view full)

- IBaseTable
  - ILayerTypesTable

#####
Index

### Properties

handle
lineTypes
ownerHandle

##
Properties

### handle

handle: string

Unique handle identifier for this table.

Inherited from IBaseTable.handle

### lineTypes

lineTypes: Record<string, ILineType>

Collection of line type definitions.

### ownerHandle

ownerHandle: string

Handle of the owner object.

Inherited from IBaseTable.ownerHandle